Package com.independentsoft.office.spreadsheet.revisions

# Class Undo

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.Undo

public class Undo extends Object
The Class Undo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Undo()`
  Instantiates a new undo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Undo`
  `clone()`
  `String`
  `getCellReference()`
  Gets the cell reference.
  `String`
  `getDefinedName()`
  Gets the defined name.
  `FormulaExpressionType`
  `getExpression()`
  Gets the expression.
  `int`
  `getIndex()`
  Gets the index.
  `String`
  `getRange()`
  Gets the range.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isArrayEntered()`
  Checks if is array entered.
  `boolean`
  `isCrossSheetMove()`
  Checks if is cross sheet move.
  `boolean`
  `isDefinedNameFormula()`
  Checks if is defined name formula.
  `boolean`
  `isReference3D()`
  Checks if is reference3 d.
  `boolean`
  `isValueNeeded()`
  Checks if is value needed.
  `void`
  `setArrayEntered​(boolean isArrayEntered)`
  Sets the array entered.
  `void`
  `setCellReference​(String cellReference)`
  Sets the cell reference.
  `void`
  `setCrossSheetMove​(boolean isCrossSheetMove)`
  Sets the cross sheet move.
  `void`
  `setDefinedName​(String definedName)`
  Sets the defined name.
  `void`
  `setDefinedNameFormula​(boolean isDefinedNameFormula)`
  Sets the defined name formula.
  `void`
  `setExpression​(FormulaExpressionType expression)`
  Sets the expression.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setRange​(String range)`
  Sets the range.
  `void`
  `setReference3D​(boolean isReference3D)`
  Sets the reference3 d.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `void`
  `setValueNeeded​(boolean valueNeeded)`
  Sets the value needed.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Undo

    public Undo()
    Instantiates a new undo.

- ## Method Details

  - ### clone

    public Undo clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isArrayEntered

    public boolean isArrayEntered()
    Checks if is array entered.
    Returns:
      true, if is array entered

  - ### setArrayEntered

    public void setArrayEntered​(boolean isArrayEntered)
    Sets the array entered.
    Parameters:
      `isArrayEntered` - the new array entered

  - ### isCrossSheetMove

    public boolean isCrossSheetMove()
    Checks if is cross sheet move.
    Returns:
      true, if is cross sheet move

  - ### setCrossSheetMove

    public void setCrossSheetMove​(boolean isCrossSheetMove)
    Sets the cross sheet move.
    Parameters:
      `isCrossSheetMove` - the new cross sheet move

  - ### getDefinedName

    public String getDefinedName()
    Gets the defined name.
    Returns:
      the defined name

  - ### setDefinedName

    public void setDefinedName​(String definedName)
    Sets the defined name.
    Parameters:
      `definedName` - the new defined name

  - ### getRange

    public String getRange()
    Gets the range.
    Returns:
      the range

  - ### setRange

    public void setRange​(String range)
    Sets the range.
    Parameters:
      `range` - the new range

  - ### getExpression

    public FormulaExpressionType getExpression()
    Gets the expression.
    Returns:
      the expression

  - ### setExpression

    public void setExpression​(FormulaExpressionType expression)
    Sets the expression.
    Parameters:
      `expression` - the new expression

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### isDefinedNameFormula

    public boolean isDefinedNameFormula()
    Checks if is defined name formula.
    Returns:
      true, if is defined name formula

  - ### setDefinedNameFormula

    public void setDefinedNameFormula​(boolean isDefinedNameFormula)
    Sets the defined name formula.
    Parameters:
      `isDefinedNameFormula` - the new defined name formula

  - ### getCellReference

    public String getCellReference()
    Gets the cell reference.
    Returns:
      the cell reference

  - ### setCellReference

    public void setCellReference​(String cellReference)
    Sets the cell reference.
    Parameters:
      `cellReference` - the new cell reference

  - ### isReference3D

    public boolean isReference3D()
    Checks if is reference3 d.
    Returns:
      true, if is reference3 d

  - ### setReference3D

    public void setReference3D​(boolean isReference3D)
    Sets the reference3 d.
    Parameters:
      `isReference3D` - the new reference3 d

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isValueNeeded

    public boolean isValueNeeded()
    Checks if is value needed.
    Returns:
      true, if is value needed

  - ### setValueNeeded

    public void setValueNeeded​(boolean valueNeeded)
    Sets the value needed.
    Parameters:
      `valueNeeded` - the new value needed